"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseAmountOperatorString = exports.parseAmountOperator = exports.AmountOperator = void 0;
var AmountOperator;
(function (AmountOperator) {
    AmountOperator[AmountOperator["Lt"] = 0] = "Lt";
    AmountOperator[AmountOperator["LtEq"] = 1] = "LtEq";
    AmountOperator[AmountOperator["Eq"] = 2] = "Eq";
    AmountOperator[AmountOperator["GtEq"] = 3] = "GtEq";
    AmountOperator[AmountOperator["Gt"] = 4] = "Gt";
})(AmountOperator = exports.AmountOperator || (exports.AmountOperator = {}));
const parseAmountOperator = (operator) => {
    var _a;
    return ((_a = {
        '<': AmountOperator.Lt,
        '<=': AmountOperator.LtEq,
        '=': AmountOperator.Eq,
        '>=': AmountOperator.GtEq,
        '>': AmountOperator.Gt,
    }[operator]) !== null && _a !== void 0 ? _a : operator);
};
exports.parseAmountOperator = parseAmountOperator;
const parseAmountOperatorString = (operator) => {
    var _a;
    return ((_a = {
        [AmountOperator.Lt]: '<',
        [AmountOperator.LtEq]: '<=',
        [AmountOperator.Eq]: '=',
        [AmountOperator.GtEq]: '>=',
        [AmountOperator.Gt]: '>',
    }[operator]) !== null && _a !== void 0 ? _a : operator);
};
exports.parseAmountOperatorString = parseAmountOperatorString;
//# sourceMappingURL=amountOperator.js.map