/// <reference types="node" />
import { AmountOperator, AmountOperatorString } from '../shared';
export type AmountRuleV2 = {
    type: 'Amount';
    field: string;
    operator: AmountOperatorString;
    amount: number;
};
export declare const amountV2: (field: string, operator: AmountOperator | AmountOperatorString, amount: number) => AmountRuleV2;
export declare const serializeAmountV2: (rule: AmountRuleV2) => Buffer;
export declare const deserializeAmountV2: (buffer: Buffer, offset?: number) => AmountRuleV2;
