/// <reference types="node" />
import { RuleV2 } from './rule';
export type AnyRuleV2 = {
    type: 'Any';
    rules: RuleV2[];
};
export declare const anyV2: (rules: RuleV2[]) => AnyRuleV2;
export declare const serializeAnyV2: (anyRule: AnyRuleV2) => Buffer;
export declare const deserializeAnyV2: (buffer: Buffer, offset?: number) => AnyRuleV2;
