"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeAnyV2 = exports.serializeAnyV2 = exports.anyV2 = void 0;
const beet = __importStar(require("@metaplex-foundation/beet"));
const rule_1 = require("./rule");
const ruleType_1 = require("./ruleType");
const anyV2 = (rules) => ({ type: 'Any', rules });
exports.anyV2 = anyV2;
const serializeAnyV2 = (anyRule) => {
    const sizeBuffer = Buffer.alloc(8);
    beet.u64.write(sizeBuffer, 0, anyRule.rules.length);
    const rulesBuffer = (0, rule_1.serializeRulesV2)(anyRule.rules);
    const headerBuffer = (0, rule_1.serializeRuleHeaderV2)(ruleType_1.RuleTypeV2.Any, sizeBuffer.length + rulesBuffer.length);
    return Buffer.concat([headerBuffer, sizeBuffer, rulesBuffer]);
};
exports.serializeAnyV2 = serializeAnyV2;
const deserializeAnyV2 = (buffer, offset = 0) => {
    offset += 8;
    const size = beet.u64.read(buffer, offset);
    offset += 8;
    const rules = (0, rule_1.deserializeRulesV2)(buffer, size, offset);
    return (0, exports.anyV2)(rules);
};
exports.deserializeAnyV2 = deserializeAnyV2;
//# sourceMappingURL=any.js.map