/// <reference types="node" />
import { PublicKey } from '@solana/web3.js';
import { Base58PublicKey } from './base58PublicKey';
export declare const serializeString32: (str: string) => Buffer;
export declare const deserializeString32: (buffer: Buffer, offset?: number) => string;
export declare const serializePublicKey: (publicKey: PublicKey | Base58PublicKey) => Buffer;
export declare const deserializePublicKey: (buffer: Buffer, offset?: number) => Base58PublicKey;
