/// <reference types="node" />
import { RuleV2 } from './rule';
export type NotRuleV2 = {
    type: 'Not';
    rule: RuleV2;
};
export declare const notV2: (rule: RuleV2) => NotRuleV2;
export declare const serializeNotV2: (notRule: NotRuleV2) => Buffer;
export declare const deserializeNotV2: (buffer: Buffer, offset?: number) => NotRuleV2;
