/// <reference types="node" />
import { PublicKey } from '@solana/web3.js';
import { Base58PublicKey } from './base58PublicKey';
export type PdaMatchRuleV2 = {
    type: 'PdaMatch';
    pdaField: string;
    program: Base58PublicKey;
    seedsField: string;
};
export declare const pdaMatchV2: (pdaField: string, program: PublicKey | Base58PublicKey, seedsField: string) => PdaMatchRuleV2;
export declare const serializePdaMatchV2: (rule: PdaMatchRuleV2) => Buffer;
export declare const deserializePdaMatchV2: (buffer: Buffer, offset?: number) => PdaMatchRuleV2;
