/// <reference types="node" />
import { PublicKey } from '@solana/web3.js';
import { Base58PublicKey } from './base58PublicKey';
export type ProgramOwnedRuleV2 = {
    type: 'ProgramOwned';
    field: string;
    program: Base58PublicKey;
};
export declare const programOwnedV2: (field: string, program: PublicKey | Base58PublicKey) => ProgramOwnedRuleV2;
export declare const serializeProgramOwnedV2: (rule: ProgramOwnedRuleV2) => Buffer;
export declare const deserializeProgramOwnedV2: (buffer: Buffer, offset?: number) => ProgramOwnedRuleV2;
