/// <reference types="node" />
export type ProgramOwnedTreeRuleV2 = {
    type: 'ProgramOwnedTree';
    pubkeyField: string;
    proofField: string;
    root: number[];
};
export declare const programOwnedTreeV2: (pubkeyField: string, proofField: string, root: Uint8Array | number[]) => ProgramOwnedTreeRuleV2;
export declare const serializeProgramOwnedTreeV2: (rule: ProgramOwnedTreeRuleV2) => Buffer;
export declare const deserializeProgramOwnedTreeV2: (buffer: Buffer, offset?: number) => ProgramOwnedTreeRuleV2;
