"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findRuleSetBufferPDA = exports.findRuleSetPDA = void 0;
const web3_js_1 = require("@solana/web3.js");
const constants_1 = require("./constants");
const generated_1 = require("./generated");
const findRuleSetPDA = async (payer, name) => {
    return await web3_js_1.PublicKey.findProgramAddress([Buffer.from(constants_1.PREFIX), payer.toBuffer(), Buffer.from(name)], generated_1.PROGRAM_ID);
};
exports.findRuleSetPDA = findRuleSetPDA;
const findRuleSetBufferPDA = async (payer) => {
    return await web3_js_1.PublicKey.findProgramAddress([Buffer.from(constants_1.PREFIX), payer.toBuffer()], generated_1.PROGRAM_ID);
};
exports.findRuleSetBufferPDA = findRuleSetBufferPDA;
//# sourceMappingURL=pda.js.map