/// <reference types="node" />
import type { PublicKeyAsArrayOfBytes } from './publicKey';
import type { RuleV1 } from './rule';
export type RuleSetRevisionV1 = {
    libVersion: 1;
    ruleSetName: string;
    owner: PublicKeyAsArrayOfBytes;
    operations: Record<string, RuleV1>;
};
export declare const serializeRuleSetRevisionV1: (ruleSet: RuleSetRevisionV1) => Buffer;
export declare const deserializeRuleSetRevisionV1: (buffer: Buffer, offset?: number) => RuleSetRevisionV1;
