/// <reference types="node" />
import { PublicKey } from '@solana/web3.js';
import { Base58PublicKey } from './base58PublicKey';
export type AdditionalSignerRuleV2 = {
    type: 'AdditionalSigner';
    publicKey: Base58PublicKey;
};
export declare const additionalSignerV2: (publicKey: PublicKey | string) => AdditionalSignerRuleV2;
export declare const serializeAdditionalSignerV2: (rule: AdditionalSignerRuleV2) => Buffer;
export declare const deserializeAdditionalSignerV2: (buffer: Buffer, offset?: number) => AdditionalSignerRuleV2;
