/// <reference types="node" />
import { RuleV2 } from './rule';
export type AllRuleV2 = {
    type: 'All';
    rules: RuleV2[];
};
export declare const allV2: (rules: RuleV2[]) => AllRuleV2;
export declare const serializeAllV2: (allRule: AllRuleV2) => Buffer;
export declare const deserializeAllV2: (buffer: Buffer, offset?: number) => AllRuleV2;
