"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeNamespaceV2 = exports.serializeNamespaceV2 = exports.namespaceV2 = void 0;
const rule_1 = require("./rule");
const ruleType_1 = require("./ruleType");
const namespaceV2 = () => ({ type: 'Namespace' });
exports.namespaceV2 = namespaceV2;
const serializeNamespaceV2 = (rule) => {
    return (0, rule_1.serializeRuleHeaderV2)(ruleType_1.RuleTypeV2.Namespace, 0);
};
exports.serializeNamespaceV2 = serializeNamespaceV2;
const deserializeNamespaceV2 = (buffer, offset = 0) => {
    return (0, exports.namespaceV2)();
};
exports.deserializeNamespaceV2 = deserializeNamespaceV2;
//# sourceMappingURL=namespace.js.map