/// <reference types="node" />
import { PublicKey } from '@solana/web3.js';
import { Base58PublicKey } from './base58PublicKey';
export type ProgramOwnedListRuleV2 = {
    type: 'ProgramOwnedList';
    field: string;
    programs: Base58PublicKey[];
};
export declare const programOwnedListV2: (field: string, programs: (PublicKey | Base58PublicKey)[]) => ProgramOwnedListRuleV2;
export declare const serializeProgramOwnedListV2: (rule: ProgramOwnedListRuleV2) => Buffer;
export declare const deserializeProgramOwnedListV2: (buffer: Buffer, offset?: number) => ProgramOwnedListRuleV2;
