/// <reference types="node" />
import { PublicKey } from '@solana/web3.js';
import { Base58PublicKey } from './base58PublicKey';
export type PubkeyListMatchRuleV2 = {
    type: 'PubkeyListMatch';
    field: string;
    publicKeys: Base58PublicKey[];
};
export declare const pubkeyListMatchV2: (field: string, publicKeys: (PublicKey | Base58PublicKey)[]) => PubkeyListMatchRuleV2;
export declare const serializePubkeyListMatchV2: (rule: PubkeyListMatchRuleV2) => Buffer;
export declare const deserializePubkeyListMatchV2: (buffer: Buffer, offset?: number) => PubkeyListMatchRuleV2;
