/// <reference types="node" />
import { PublicKey } from '@solana/web3.js';
import { Base58PublicKey } from './base58PublicKey';
export type PubkeyMatchRuleV2 = {
    type: 'PubkeyMatch';
    field: string;
    publicKey: Base58PublicKey;
};
export declare const pubkeyMatchV2: (field: string, publicKey: PublicKey | Base58PublicKey) => PubkeyMatchRuleV2;
export declare const serializePubkeyMatchV2: (rule: PubkeyMatchRuleV2) => Buffer;
export declare const deserializePubkeyMatchV2: (buffer: Buffer, offset?: number) => PubkeyMatchRuleV2;
