/// <reference types="node" />
export type PubkeyTreeMatchRuleV2 = {
    type: 'PubkeyTreeMatch';
    pubkeyField: string;
    proofField: string;
    root: number[];
};
export declare const pubkeyTreeMatchV2: (pubkeyField: string, proofField: string, root: Uint8Array | number[]) => PubkeyTreeMatchRuleV2;
export declare const serializePubkeyTreeMatchV2: (rule: PubkeyTreeMatchRuleV2) => Buffer;
export declare const deserializePubkeyTreeMatchV2: (buffer: Buffer, offset?: number) => PubkeyTreeMatchRuleV2;
